<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcMeshSelect Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a003a8c1980e045a03c11dcc51a3201e2">AddMeshSelectListener</a>(iPcMeshSelectListener *listener)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#afe57fc169f00bd7b637040caee8029e3">GetDragPlaneNormal</a>(csVector3 &amp;drag_normal, bool &amp;camera_space) const =0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a68cce0df3e96c93f7d1cdd13b3aaf7f3">GetMaxSelectionDistance</a>() const =0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#aa8f6be714ce22d723e7718deab7d1a9f">GetMouseButtons</a>() const =0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#aec066bb5a01a2ba88c8e52a7fef3561a">HasDragMode</a>() const =0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a3a9ba9328a5e0f359ee30160ef1cd97a">HasFollowAlwaysMode</a>() const =0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a81e324a5cff0ebd3fb18573cf812d298">HasFollowMode</a>() const =0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a5c36f2830df3af7f88b6954afb0e8d96">HasGlobalSelection</a>() const =0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a7e0a7edf84513530c8a412087f89c5f7">HasSenddownEvent</a>() const =0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a50fa2c873d138e4cf121a5c6748a7918">HasSendmoveEvent</a>() const =0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a2e5ff3f6d29e8e23293b52c7792ac38d">HasSendupEvent</a>() const =0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a506b74d5aa4840565b87250e0950b3bd">RemoveMeshSelectListener</a>(iPcMeshSelectListener *listener)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a3851251af34515ce15b4e8e7ca0a0a9e">SetCamera</a>(iPcCamera *camera)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a38b1b6bafad0d62d0123dafb1020e3cc">SetDragMode</a>(bool drag)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a8641509a8eb0ec284432408da301201e">SetDragPlaneNormal</a>(const csVector3 &amp;drag_normal, bool camera_space)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#aa5cc6a32f28004b105c667ade955a609">SetFollowAlwaysMode</a>(bool followalways)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a02fa1e98f777b0be713769f88bf39d8e">SetFollowMode</a>(bool follow)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a5839931c030d52b65922f0927afbe24d">SetGlobalSelection</a>(bool glob)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#ac3da18605c5c9281c7db370182579242">SetMaxSelectionDistance</a>(float distance)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a06a14ad288a68cc4b87519540e0514ac">SetMouseButtons</a>(int buttons)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a92a6f866a393bdd221c91c2016c9d2f5">SetMouseButtons</a>(const char *buttons)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a5f20d1fcdc70c5db28549bbfa48a838c">SetSenddownEvent</a>(bool sd)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a6fee341f0bd1c14877587d28cf3cbbf1">SetSendmoveEvent</a>(bool mov)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMeshSelect.html#a1c3a615b4d567a95823cdf453fbaf318">SetSendupEvent</a>(bool su)=0</td><td><a class="el" href="structiPcMeshSelect.html">iPcMeshSelect</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
